Unverified Commit dbbe5338 authored by Kroese's avatar Kroese Committed by GitHub
Browse files

Trap errors

parent 30adb3a9
Loading
Loading
Loading
Loading
+3 −0
Original line number Diff line number Diff line
@@ -15,6 +15,9 @@ echo "Starting Virtual DSM for Docker v${VERSION}..."
STORAGE="/storage"
KERNEL=$(uname -r | cut -b 1)

trap 'echo >&2 "Error - exited with status $? at line $LINENO:"; 
         pr -tn $0 | tail -n+$((LINENO - 3)) | head -n7 >&2' ERR

[ ! -d "$STORAGE" ] && echo "Storage folder (${STORAGE}) not found!" && exit 69
[ ! -f "/run/run.sh" ] && echo "Script must run inside Docker container!" && exit 60